<template>
	<scroll-view :scroll-y="true" :style="pageScrollStyle">
		<slot></slot>
	</scroll-view>	
</template>

<script>
	export default {
		options: {
			styleIsolation: 'shared'
		},
		props: {
			tabbarConflict: Boolean
		},
		computed: {
			pageScrollStyle() {
				let pageHeight = this.$config.pageHeight
				if (this.tabbarConflict) {
					pageHeight = this.$config.pageHeight - uni.upx2px(150)
				}
				console.log("tabbarConflict")
				console.log(this.tabbarConflict)
				return 'height: ' + pageHeight + 'px'
			}
		},
		watch: {
		},
		data() {
			return {}
		},
		created() {
		},
		mounted() {
		},
		methods: {
		}
	}
</script>
<style lang="scss">
</style>